function Ihat=UGener(p)
% Alternative resampling scheme
%   Ihat=UGener(p)

% Enso Ikonen 4/2006 University of Oulu

N = length(p);
for i=1:N+1
    z=rand(1);
    R(i) = -log(z);
end
T = cumsum(R);
D = T(1:N)/T(N+1);

cp = cumsum(p);
j0 = 0;
for i=1:N
    if i==1
        ii = find(D<cp(i));
    elseif i<N
        ii = find(D<cp(i) & D>=cp(i-1));
    else
        ii = find(D>=cp(i-1));
    end
    j = length(ii);
    Ihat(j0+[1:j]) = i;
    j0 = j0+j;
end

