% TYPICALDIFFRUN Sample M-script for running a 
% GDT simulation based on an ODE plant description

% Enso Ikonen 4/2006 University of Oulu

% plant
plantfunstr = 'typicaldiffsampled'
diffeqstr = 'typicaldiff'
Ts = 1.2/60;
U0 = 0.22;
C = [0 1]
% reference trajectory is consequtive steps in both varibles
Yref = [300*ones(50,1); [300:3:600]'; 600*ones(150,1)];
% algorithm parameters
A_n = 0.03^2;
B_n = 20^2;
N = 500;
bet = 1;
deltaU=1;
% initial values
X0 = [300 300]; Y0 = X0(2);
% start optimization
GDT = GDTopt(Yref,A_n,B_n,N,bet,plantfunstr,X0,Y0,deltaU,Ts,U0,diffeqstr,C);