%TYPICALRUN Sample M-script for running a GDT simulation

% Enso Ikonen 4/2006 University of Oulu

% plant
plantfunstr = 'typicalplant'
% reference trajectory is consequtive steps in both varibles
Yref = [0*ones(10,1) 0*ones(10,1);...
    0*ones(10,1) ones(10,1);...
    ones(10,1) ones(10,1)];
% algorithm parameters
A_n = [0.5^2 0;0 0.1^2];
B_n = [0.1^2 0;0 0.5^2];
N = 500;
bet = 1;
deltaU=1;
% initial values
[Y0,X0] = typicalplant;
% start optimization
GDT = GDTopt(Yref,A_n,B_n,N,bet,plantfunstr,X0,Y0,deltaU);